package net.minecraft.src.forestry.api;

import java.util.ArrayList;

import net.minecraft.src.ItemStack;

public class ApiaryFlower {

	/**
	 * Flower block itself. Metadata sensitive.
	 */
	public ItemStack flower;
	/**
	 * Restricts this flower to specific bee species. If this list contains no elements, any species can use the flower.
	 * Otherwise only species whose ordinal is contained here can use the flower.
	 */
	public ArrayList<Integer> restricted = new ArrayList<Integer>();

	public ApiaryFlower(ItemStack flower) {
		this.flower = flower;
	}
	
	/**
	 * @return true if restricted to certain bee species.
	 */
	public boolean isRestricted() {
		return restricted.size() > 0;
	}
	
	/**
	 * @param breed Human readable enum to facilitate ordinal matching. See {@link EnumBeeBreed}.
	 */
	public void restrictToBreed(EnumBeeBreed breed) {
		restricted.add(breed.ordinal());
	}
}
